/*!************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[1]!./node_modules/resolve-url-loader/index.js??ruleSet[1].rules[4].oneOf[1].use[2]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[3]!./assets/css/app.scss ***!
  \************************************************************************************************************************************************************************************************************************************************************************/
@charset "UTF-8";
/*! =========================================================
 * bootstrap-slider.js
 *
 * Maintainers:
 *		Kyle Kemp
 *			- Twitter: @seiyria
 *			- Github:  seiyria
 *		Rohit Kalkur
 *			- Twitter: @Rovolutionary
 *			- Github:  rovolution
 *
 * =========================================================
 *
 * bootstrap-slider is released under the MIT License
 * Copyright (c) 2019 Kyle Kemp, Rohit Kalkur, and contributors
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 * ========================================================= */
.slider {
  display: inline-block;
  vertical-align: middle;
  position: relative;
}
.slider.slider-horizontal {
  width: 210px;
  height: 20px;
}
.slider.slider-horizontal .slider-track {
  height: 10px;
  width: 100%;
  margin-top: -5px;
  top: 50%;
  left: 0;
}
.slider.slider-horizontal .slider-selection, .slider.slider-horizontal .slider-track-low, .slider.slider-horizontal .slider-track-high {
  height: 100%;
  top: 0;
  bottom: 0;
}
.slider.slider-horizontal .slider-tick,
.slider.slider-horizontal .slider-handle {
  margin-left: -10px;
}
.slider.slider-horizontal .slider-tick.triangle,
.slider.slider-horizontal .slider-handle.triangle {
  position: relative;
  top: 50%;
  transform: translateY(-50%);
  border-width: 0 10px 10px 10px;
  width: 0;
  height: 0;
  border-bottom-color: rgb(3.4742268041, 111.175257732, 165.0257731959);
  margin-top: 0;
}
.slider.slider-horizontal .slider-tick-container {
  white-space: nowrap;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}
.slider.slider-horizontal .slider-tick-label-container {
  white-space: nowrap;
  margin-top: 20px;
}
.slider.slider-horizontal .slider-tick-label-container .slider-tick-label {
  display: inline-block;
  padding-top: 24px;
  text-align: center;
}
.slider.slider-horizontal.slider-rtl .slider-track {
  left: initial;
  right: 0;
}
.slider.slider-horizontal.slider-rtl .slider-tick,
.slider.slider-horizontal.slider-rtl .slider-handle {
  margin-left: initial;
  margin-right: -10px;
}
.slider.slider-horizontal.slider-rtl .slider-tick-container {
  left: initial;
  right: 0;
}
.slider.slider-vertical {
  height: 210px;
  width: 20px;
}
.slider.slider-vertical .slider-track {
  width: 10px;
  height: 100%;
  left: 25%;
  top: 0;
}
.slider.slider-vertical .slider-selection {
  width: 100%;
  left: 0;
  top: 0;
  bottom: 0;
}
.slider.slider-vertical .slider-track-low, .slider.slider-vertical .slider-track-high {
  width: 100%;
  left: 0;
  right: 0;
}
.slider.slider-vertical .slider-tick,
.slider.slider-vertical .slider-handle {
  margin-top: -10px;
}
.slider.slider-vertical .slider-tick.triangle,
.slider.slider-vertical .slider-handle.triangle {
  border-width: 10px 0 10px 10px;
  width: 1px;
  height: 1px;
  border-left-color: rgb(3.4742268041, 111.175257732, 165.0257731959);
  margin-left: 0;
}
.slider.slider-vertical .slider-tick-label-container {
  white-space: nowrap;
}
.slider.slider-vertical .slider-tick-label-container .slider-tick-label {
  padding-left: 4px;
}
.slider.slider-vertical.slider-rtl .slider-track {
  left: initial;
  right: 25%;
}
.slider.slider-vertical.slider-rtl .slider-selection {
  left: initial;
  right: 0;
}
.slider.slider-vertical.slider-rtl .slider-tick.triangle,
.slider.slider-vertical.slider-rtl .slider-handle.triangle {
  border-width: 10px 10px 10px 0;
}
.slider.slider-vertical.slider-rtl .slider-tick-label-container .slider-tick-label {
  padding-left: initial;
  padding-right: 4px;
}
.slider.slider-disabled .slider-handle {
  background-color: rgb(206.5, 206.5, 206.5);
  background-image: -moz-linear-gradient(top, #DFDFDF, #BEBEBE);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#DFDFDF), to(#BEBEBE));
  background-image: -webkit-linear-gradient(top, #DFDFDF, #BEBEBE);
  background-image: -o-linear-gradient(top, #DFDFDF, #BEBEBE);
  background-image: linear-gradient(to bottom, #DFDFDF, #BEBEBE);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#DFDFDF', endColorstr='#BEBEBE',GradientType=0);
}
.slider.slider-disabled .slider-track {
  background-color: #e7e7e7;
  background-image: -moz-linear-gradient(top, #E5E5E5, #E9E9E9);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#E5E5E5), to(#E9E9E9));
  background-image: -webkit-linear-gradient(top, #E5E5E5, #E9E9E9);
  background-image: -o-linear-gradient(top, #E5E5E5, #E9E9E9);
  background-image: linear-gradient(to bottom, #E5E5E5, #E9E9E9);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#E5E5E5', endColorstr='#E9E9E9',GradientType=0);
  cursor: not-allowed;
}
.slider input {
  display: none;
}
.slider .tooltip-inner {
  white-space: nowrap;
  max-width: none;
}
.slider .tooltip {
  pointer-events: none;
}
.slider .tooltip.top {
  margin-top: -36px;
}
.slider .tooltip-inner {
  white-space: nowrap;
  max-width: none;
}
.slider .hide {
  display: none;
}

.slider-track {
  background-color: #f7f7f7;
  background-image: -moz-linear-gradient(top, #F5F5F5, #F9F9F9);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#F5F5F5), to(#F9F9F9));
  background-image: -webkit-linear-gradient(top, #F5F5F5, #F9F9F9);
  background-image: -o-linear-gradient(top, #F5F5F5, #F9F9F9);
  background-image: linear-gradient(to bottom, #F5F5F5, #F9F9F9);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#F5F5F5', endColorstr='#F9F9F9',GradientType=0);
  -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
  box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  position: absolute;
  cursor: pointer;
}

.slider-selection {
  background-color: #f7f7f7;
  background-image: -moz-linear-gradient(top, #F9F9F9, #F5F5F5);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#F9F9F9), to(#F5F5F5));
  background-image: -webkit-linear-gradient(top, #F9F9F9, #F5F5F5);
  background-image: -o-linear-gradient(top, #F9F9F9, #F5F5F5);
  background-image: linear-gradient(to bottom, #F9F9F9, #F5F5F5);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#F9F9F9', endColorstr='#F5F5F5',GradientType=0);
  -webkit-box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
  -moz-box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
  box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  position: absolute;
}

.slider-selection.tick-slider-selection {
  background-color: rgb(70.1049536082, 192.6650154639, 253.9450463918);
  background-image: -moz-linear-gradient(top, rgb(81.8, 197.2666666667, 255), rgb(58.4099072165, 188.0633642612, 252.8900927835));
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(rgb(81.8, 197.2666666667, 255)), to(rgb(58.4099072165, 188.0633642612, 252.8900927835)));
  background-image: -webkit-linear-gradient(top, rgb(81.8, 197.2666666667, 255), rgb(58.4099072165, 188.0633642612, 252.8900927835));
  background-image: -o-linear-gradient(top, rgb(81.8, 197.2666666667, 255), rgb(58.4099072165, 188.0633642612, 252.8900927835));
  background-image: linear-gradient(to bottom, rgb(81.8, 197.2666666667, 255), rgb(58.4099072165, 188.0633642612, 252.8900927835));
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='rgb(81.8, 197.2666666667, 255)', endColorstr='rgb(58.4099072165, 188.0633642612, 252.8900927835)',GradientType=0);
}

.slider-track-low, .slider-track-high {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  position: absolute;
  background: transparent;
}

.slider-handle {
  background-color: rgb(3.7371134021, 119.587628866, 177.5128865979);
  background-image: -moz-linear-gradient(top, #0480BE, rgb(3.4742268041, 111.175257732, 165.0257731959));
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#0480BE), to(rgb(3.4742268041, 111.175257732, 165.0257731959)));
  background-image: -webkit-linear-gradient(top, #0480BE, rgb(3.4742268041, 111.175257732, 165.0257731959));
  background-image: -o-linear-gradient(top, #0480BE, rgb(3.4742268041, 111.175257732, 165.0257731959));
  background-image: linear-gradient(to bottom, #0480BE, rgb(3.4742268041, 111.175257732, 165.0257731959));
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#0480BE', endColorstr='rgb(3.4742268041, 111.175257732, 165.0257731959)',GradientType=0);
  -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
  -moz-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
  box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
  position: absolute;
  top: 0;
  width: 20px;
  height: 20px;
  background-color: #0480BE;
  border: 0px solid transparent;
}
.slider-handle:hover {
  cursor: pointer;
}
.slider-handle.round {
  -webkit-border-radius: 20px;
  -moz-border-radius: 20px;
  border-radius: 20px;
}
.slider-handle.triangle {
  background: transparent none;
}
.slider-handle.custom {
  background: transparent none;
}
.slider-handle.custom::before {
  line-height: 20px;
  font-size: 20px;
  content: "★";
  color: #726204;
}

.slider-tick {
  background-color: #f7f7f7;
  background-image: -moz-linear-gradient(top, #F5F5F5, #F9F9F9);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#F5F5F5), to(#F9F9F9));
  background-image: -webkit-linear-gradient(top, #F5F5F5, #F9F9F9);
  background-image: -o-linear-gradient(top, #F5F5F5, #F9F9F9);
  background-image: linear-gradient(to bottom, #F5F5F5, #F9F9F9);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#F5F5F5', endColorstr='#F9F9F9',GradientType=0);
  -webkit-box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
  -moz-box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
  box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.15);
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  position: absolute;
  cursor: pointer;
  width: 20px;
  height: 20px;
  filter: none;
  opacity: 0.8;
  border: 0px solid transparent;
}
.slider-tick.round {
  border-radius: 50%;
}
.slider-tick.triangle {
  background: transparent none;
}
.slider-tick.custom {
  background: transparent none;
}
.slider-tick.custom::before {
  line-height: 20px;
  font-size: 20px;
  content: "★";
  color: #726204;
}
.slider-tick.in-selection {
  background-color: rgb(70.1049536082, 192.6650154639, 253.9450463918);
  background-image: -moz-linear-gradient(top, rgb(81.8, 197.2666666667, 255), rgb(58.4099072165, 188.0633642612, 252.8900927835));
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(rgb(81.8, 197.2666666667, 255)), to(rgb(58.4099072165, 188.0633642612, 252.8900927835)));
  background-image: -webkit-linear-gradient(top, rgb(81.8, 197.2666666667, 255), rgb(58.4099072165, 188.0633642612, 252.8900927835));
  background-image: -o-linear-gradient(top, rgb(81.8, 197.2666666667, 255), rgb(58.4099072165, 188.0633642612, 252.8900927835));
  background-image: linear-gradient(to bottom, rgb(81.8, 197.2666666667, 255), rgb(58.4099072165, 188.0633642612, 252.8900927835));
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='rgb(81.8, 197.2666666667, 255)', endColorstr='rgb(58.4099072165, 188.0633642612, 252.8900927835)',GradientType=0);
  opacity: 1;
}

.form-group {
  margin: 0;
  min-height: 74px !important;
}
.form-group label {
  margin: 0 24px;
  font-size: 14px;
  line-height: 24px;
  font-weight: normal;
  color: #8c8c8c;
}
.form-group input[type=text] {
  height: 40px;
  border-radius: 15px;
  border-color: #f0f0f0;
  padding: 2px 24px 0;
  font-size: 16px;
  font-weight: normal;
  color: #000000;
}
.form-group .file-input-wrapper {
  display: block;
  width: 100%;
  padding: 0 24px;
  background-color: #ffffff;
  color: #000000;
}
.form-group .file-input-wrapper:hover {
  border-color: #f0f0f0;
  color: #f0f0f0;
}
.form-group .file-input-wrapper span {
  line-height: 40px;
}
.form-group .file-input-wrapper input {
  width: 100%;
  height: 100%;
}
.form-group .help-block {
  margin: 0 24px;
}
.form-group .chosen-container {
  height: 40px;
  line-height: 24px;
  font-size: 16px;
  box-shadow: none !important;
}
.form-group .chosen-container .chosen-single {
  background: #ffffff !important;
  box-shadow: none !important;
  border-radius: 15px !important;
  line-height: 40px;
  height: 100%;
  border-color: #f0f0f0;
  padding: 0 24px;
}
.form-group .chosen-container .chosen-single div {
  right: 18px;
}
.form-group .chosen-container .chosen-single div b {
  margin-top: 17px;
  width: 11px;
  height: 6px;
  background: url(/build/images/ch-sprite.631dce72.png) no-repeat left top;
}
.form-group .chosen-container.chosen-with-drop .chosen-single {
  border-color: #f0f0f0;
  border-bottom-left-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}
.form-group .chosen-container.chosen-with-drop .chosen-single div b {
  margin-top: 17px;
  background: url(/build/images/ch-sprite.631dce72.png) no-repeat left bottom;
}
.form-group .chosen-container .chosen-drop {
  border-color: #f0f0f0 !important;
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  padding: 8px;
}
.form-group .chosen-container .chosen-drop .chosen-search-input {
  border-color: #f0f0f0 !important;
  padding-left: 15px !important;
  border-radius: 15px !important;
  background-position-x: calc(100% - 12px) !important;
}
.form-group .chosen-container .chosen-drop .chosen-results {
  max-height: 200px;
  padding: 0 15px;
}
.form-group.has-error {
  position: relative;
}
.form-group.has-error label,
.form-group.has-error .help-block {
  color: #c4353a !important;
}
.form-group.has-error input {
  border-color: #c4353a !important;
}
.form-group.has-error .file-input-wrapper {
  border-color: #c4353a;
}
.form-group.has-error .file-input-wrapper.img-files-input + .glyphicon + .tooltip-text {
  width: 350px;
}
.form-group.has-error .tooltip-icon {
  visibility: hidden;
  position: absolute;
  z-index: 1;
  top: 50%;
  margin-top: -12px;
  right: 24px;
  font-size: 16px;
  color: #c4353a;
  line-height: 40px;
}
.form-group.has-error .tooltip-text {
  visibility: hidden;
  width: 200px;
  padding: 8px 15px;
  position: absolute;
  z-index: 1;
  top: 50%;
  left: 100%;
  margin-top: -13px;
  border-radius: 15px;
  background-color: #c4353a;
  color: #ffffff;
  box-shadow: 0 0 2px 2px rgba(123, 123, 123, 0.4823529412);
  line-height: 24px;
  text-align: center;
}
.form-group.has-error .tooltip-text::before {
  content: "";
  position: absolute;
  top: 10px;
  left: 0;
  margin-left: -49px;
  border-width: 10px 25px;
  border-style: solid;
  border-color: transparent #c4353a transparent transparent;
}
.form-group.has-error .tooltip-text ul {
  margin: 0;
}
.form-group.has-error:hover .tooltip-icon,
.form-group.has-error:hover .tooltip-text {
  visibility: visible;
  opacity: 1;
}
.form-group.has-error:hover .chosen-container .chosen-single div b {
  background: none;
}
.form-group.has-error .chosen-container .chosen-single,
.form-group.has-error .chosen-container .chosen-drop {
  border-color: #c4353a !important;
}

.btn {
  height: 40px;
  padding: 0 26px;
  background-color: transparent;
  color: #ffffff;
  border-color: #f0f0f0;
  border-radius: 15px;
  outline: none !important;
  font-size: 18px;
  font-weight: 300;
}
.btn:active {
  box-shadow: 0 0 0 1px #f0f0f0;
  color: #cbcbcb !important;
}
.btn:focus {
  color: #ffffff !important;
}
.btn:hover {
  color: #cbcbcb !important;
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/